Skip to main content
PATCH
/
v2
/
flow
/
agents
/
{agent_id}
curl --request PATCH \
  --url https://flow.seekr.com/v2/flow/agents/{agent_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Agent",
  "instructions": "You are a helpful assistant that can search files, browse the web, and run Python code.",
  "model_id": "deployment-123",
  "temperature": 0.4,
  "reasoning_effort": "medium",
  "tool_ids": [
    "tool-123",
    "tool-456"
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "instructions": "<string>",
  "user_id": "<string>",
  "team_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "model_id": "<string>",
  "output": {
    "instructions": "<string>",
    "model_id": "<string>",
    "temperature": 1
  },
  "temperature": 1,
  "planner_temperature": 1,
  "tools": [
    {
      "id": "<string>",
      "name": "<string>",
      "config": {
        "FILE_SEARCH_INDEX": "<string>",
        "EMBEDDING_MODEL": "<string>",
        "TOP_K": 10,
        "SCORE_THRESHOLD": 0
      },
      "description": "<string>",
      "type": "file_search"
    }
  ],
  "last_deployed_at": "2023-11-07T05:31:56Z",
  "active_duration": 0
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

agent_id
string
required

Body

application/json
name
string | null
instructions
string | null
model_id
string | null
output
AgentOutputConfig · object | null

Optional configuration for the agent's final response. Overrides the top-level settings for response generation.

temperature
number | null

Controls the predictability of the agent's reasoning. Accepts a value from 0 to 2. Defaults to 0.6. Lower values produce more consistent results, and higher values introduce more variation.

Required range: 0 <= x <= 2
tool_ids
string[] | null
reasoning_effort
enum<string> | null

Controls how much reasoning the agent uses when working through a request. Accepts low, medium, or high, where higher levels produce more thorough reasoning. The speed_optimized and performance_optimized values are only supported for backward compatibility. speed_optimized maps to low, and performance_optimized maps to high.

Available options:
low,
medium,
high,
speed_optimized,
performance_optimized

Response

Successful Response

id
string
required
name
string
required
instructions
string
required
status
enum<string>
required
Available options:
Inactive,
Pending,
Active,
Updating,
Failed
reasoning_effort
enum<string>
required

Controls how much reasoning the agent uses when working through a request. Accepts low, medium, or high, where higher levels produce more thorough reasoning. The speed_optimized and performance_optimized values are only supported for backward compatibility. speed_optimized maps to low, and performance_optimized maps to high.

Available options:
low,
medium,
high,
speed_optimized,
performance_optimized
user_id
string
required
team_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
model_id
string | null
output
AgentOutputConfig · object | null
temperature
number | null
Required range: 0 <= x <= 2
planner_temperature
number | null
Required range: 0 <= x <= 2
tools
(FileSearch · object | RunPython · object | WebSearch · object | AgentAsTool · object | MCPConnectorTool · object)[]

Internal schema for File Search tool.

last_deployed_at
string<date-time> | null
active_duration
integer
default:0
Required range: x >= 0
Last modified on July 10, 2026